/// <reference types="debug" />
interface Options {
    startWithDebug: boolean;
    errorsEnabled: boolean;
}
type clbFunc = <T>(clb: (obj: Object) => T) => T;
export interface logObj extends Object {
    log: debug.Debugger;
    info: debug.Debugger;
    warn: debug.Debugger;
    debug: debug.Debugger;
    error: debug.Debugger;
    func: clbFunc;
}
declare function logger(argsPrefix: string, argsOptions: Options): logObj;
declare namespace logger {
    var debug: typeof logger;
    var cleanup: () => void;
}
export default logger;
